package com.sooka.sponest.middleware;

import com.ruoyi.common.security.annotation.EnableCustomConfig;
import com.ruoyi.common.security.annotation.EnableRyFeignClients;
import com.ruoyi.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.data.elasticsearch.repository.config.EnableElasticsearchRepositories;

@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@EnableElasticsearchRepositories
@MapperScan("com.sooka.sponest.middleware.**.dao")
@SpringBootApplication
public class SookaMiddleWareApplication {

    public static void main(String[] args) {
        SpringApplication.run(SookaMiddleWareApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  首佳科技 中间件 启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                "  __________   ____ |  | _______          ____________   ____   ____   ____   _______/  |_\n" +
                " /  ___/  _ \\ /  _ \\|  |/ /\\__  \\        /  ___/\\____ \\ /  _ \\ /    \\_/ __ \\ /  ___/\\   __\\\n" +
                " \\___ (  <_> |  <_> )    <  / __ \\_      \\___ \\ |  |_> >  <_> )   |  \\  ___/ \\___ \\  |  |\n" +
                "/____  >____/ \\____/|__|_ \\(____  /     /____  >|   __/ \\____/|___|  /\\___  >____  > |__|\n" +
                "     \\/                  \\/     \\/           \\/ |__|               \\/     \\/     \\/\n"
        );
    }
}
