package com.sooka.sponest.middleware.base.entity.bo;

import lombok.Data;
import org.elasticsearch.search.sort.SortOrder;

/**
 * @Auther: lyq
 * @Date: 2023/7/25
 * @Description: com.sooka.sponest.middleware.base.bo
 * @version: 1.0
 */
@Data
public class BaseESBO {

    private String[] indexNames;

    private String[] includeFields = {};

    private String[] excludeFields = {};

    private Integer pageNum;

    private Integer pageSize;

    private String sortFiled;

    private SortOrder sortOrder;

    private String latitude;

    private String longitude;

    private Long radius;// 距离，单位：米
}
