package com.sooka.sponest.middleware.data.basicdata.service.impl;

import com.sooka.sponest.data.api.basicdata.domain.Waterintake;
import com.sooka.sponest.middleware.data.basicdata.dao.WaterintakeDao;
import com.sooka.sponest.middleware.data.basicdata.service.IWaterintakeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WaterintakeServiceImpl implements IWaterintakeService {

    @Autowired
    private WaterintakeDao waterintakeDao;

    @Override
    public void save(Waterintake waterintake) {
        waterintake.setLocation(new GeoPoint(Double.valueOf(waterintake.getLatitude()), Double.valueOf(waterintake.getLongitude())));
        waterintakeDao.save(waterintake);
    }

    public void deleteAllById(List<String> ids) {
        waterintakeDao.deleteAllById(ids);
    }
}
