package com.sooka.sponest.middleware.data.consumer;

import org.springframework.cloud.stream.annotation.Input;
import org.springframework.messaging.SubscribableChannel;

public interface DataSink {

    /**
     * Input channel name.
     */
    String INPUT1 = "centerdata-in-0";

    /**
     * @return input channel.
     */
    @Input(INPUT1)
    SubscribableChannel input();
}
