package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.sooka.sponest.data.api.digitalagriculture.domain.FarmAgriculturalCooperatives;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmAgriculturalCooperativesDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmAgriculturalCooperativesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmAgriculturalCooperativesServiceImpl implements ICenterdataTFarmAgriculturalCooperativesService {

    @Autowired
    private CenterdataTFarmAgriculturalCooperativesDao centerdataTFarmAgriculturalCooperativesDao;

    /**
     * 新增
     *
     * @param
     */
    @Override
    public void save(FarmAgriculturalCooperatives farmAgriculturalCooperatives) {
        farmAgriculturalCooperatives.setLocation(new GeoPoint(Double.valueOf(farmAgriculturalCooperatives.getLatitude()), Double.valueOf(farmAgriculturalCooperatives.getLongitude())));
        centerdataTFarmAgriculturalCooperativesDao.save(farmAgriculturalCooperatives);
    }

    /**
     * 删除
     *
     * @param
     * @return
     */
    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmAgriculturalCooperativesDao.deleteAllById(ids);
    }
}
