package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.sooka.sponest.data.api.digitalagriculture.domain.FarmExcrementDispose;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmExcrementDisposeDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmExcrementDisposeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmExcrementDisposeServiceImpl implements ICenterdataTFarmExcrementDisposeService {

    @Autowired
    private CenterdataTFarmExcrementDisposeDao centerdataTFarmExcrementDisposeDao;

    @Override
    public void save(FarmExcrementDispose farmExcrementDispose) {
        farmExcrementDispose.setLocation(new GeoPoint(Double.valueOf(farmExcrementDispose.getLatitude()), Double.valueOf(farmExcrementDispose.getLongitude())));
        centerdataTFarmExcrementDisposeDao.save(farmExcrementDispose);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmExcrementDisposeDao.deleteAllById(ids);
    }
}
