package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.sooka.sponest.data.api.other.domain.CenterdataTFarmLivestockProtectInfo;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmLivestockProtectInfoDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmLivestockProtectInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmLivestockProtectInfoServiceImpl implements ICenterdataTFarmLivestockProtectInfoService {

    @Autowired
    private CenterdataTFarmLivestockProtectInfoDao centerdataTFarmLivestockProtectInfoDao;

    @Override
    public void save(CenterdataTFarmLivestockProtectInfo farmLivestockProtectInfo) {
        farmLivestockProtectInfo.setLocation(new GeoPoint(Double.valueOf(farmLivestockProtectInfo.getLatitude()), Double.valueOf(farmLivestockProtectInfo.getLongitude())));
        centerdataTFarmLivestockProtectInfoDao.save(farmLivestockProtectInfo);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmLivestockProtectInfoDao.deleteAllById(ids);
    }
}
