package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.sooka.sponest.data.api.digitalagriculture.domain.FarmLivestock;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmLivestockDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmLivestockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmLivestockServiceImpl implements ICenterdataTFarmLivestockService {

    @Autowired
    private CenterdataTFarmLivestockDao centerdataTFarmLivestockDao;

    @Override
    public void save(FarmLivestock farmLivestock) {
        farmLivestock.setLocation(new GeoPoint(Double.valueOf(farmLivestock.getLatitude()), Double.valueOf(farmLivestock.getLongitude())));
        centerdataTFarmLivestockDao.save(farmLivestock);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmLivestockDao.deleteAllById(ids);
    }
}
