package com.sooka.sponest.middleware.data.digitalenvironment.service.impl;

import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentKeyEnterprise;
import com.sooka.sponest.middleware.data.digitalenvironment.dao.CenterdataTEnvironmentKeyEnterpriseDao;
import com.sooka.sponest.middleware.data.digitalenvironment.service.ICenterdataTEnvironmentKeyEnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/21
 */
@Service
public class CenterdataTEnvironmentKeyEnterpriseServiceImpl implements ICenterdataTEnvironmentKeyEnterpriseService {

    @Autowired
    private CenterdataTEnvironmentKeyEnterpriseDao centerdataTEnvironmentKeyEnterpriseDao;

    @Override
    public EnvironmentKeyEnterprise save(EnvironmentKeyEnterprise environmentKeyEnterprise) {
        environmentKeyEnterprise.setLocation(new GeoPoint(Double.valueOf(environmentKeyEnterprise.getLatitude()), Double.valueOf(environmentKeyEnterprise.getLongitude())));
        centerdataTEnvironmentKeyEnterpriseDao.save(environmentKeyEnterprise);
        return environmentKeyEnterprise;
    }
}
