package com.sooka.sponest.middleware.data.digitalenvironment.service.impl;

import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentProhibitionArea;
import com.sooka.sponest.middleware.data.digitalenvironment.dao.CenterdataTEnvironmentProhibitionAreaDao;
import com.sooka.sponest.middleware.data.digitalenvironment.service.ICenterdataTEnvironmentProhibitionAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/21
 */
@Service
public class CenterdataTEnvironmentProhibitionAreaServiceImpl implements ICenterdataTEnvironmentProhibitionAreaService {

    @Autowired
    private CenterdataTEnvironmentProhibitionAreaDao centerdataTEnvironmentProhibitionAreaDao;

    @Override
    public void save(EnvironmentProhibitionArea environmentProhibitionArea) {
        environmentProhibitionArea.setLocation(new GeoPoint(Double.valueOf(environmentProhibitionArea.getLatitude()), Double.valueOf(environmentProhibitionArea.getLongitude())));
        centerdataTEnvironmentProhibitionAreaDao.save(environmentProhibitionArea);
    }
}
