package com.sooka.sponest.middleware.data.digitalenvironment.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentWaterMonitor;
import com.sooka.sponest.middleware.data.digitalenvironment.dao.CenterdataTEnvironmentWaterMonitorDao;
import com.sooka.sponest.middleware.data.digitalenvironment.service.ICenterdataTEnvironmentWaterMonitorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author hanfucheng
 * @date 2023/8/7 13:47
 */
@Service
public class CenterdataTEnvironmentWaterMonitorServiceImpl implements ICenterdataTEnvironmentWaterMonitorService {

    @Autowired
    private CenterdataTEnvironmentWaterMonitorDao centerdataTEnvironmentWaterMonitorDao;

    @Override
    public EnvironmentWaterMonitor save(EnvironmentWaterMonitor environmentWaterMonitor) {
        environmentWaterMonitor.setLocation(new GeoPoint(Double.parseDouble(environmentWaterMonitor.getLatitude()), Double.parseDouble(environmentWaterMonitor.getLongitude())));
        environmentWaterMonitor.setCycleLabel(DictUtils.getDictDataByValue("centerdata_monitor_cycle", String.valueOf(environmentWaterMonitor.getCycle())));
        centerdataTEnvironmentWaterMonitorDao.save(environmentWaterMonitor);
        return environmentWaterMonitor;
    }
}
