package com.sooka.sponest.middleware.data.digitalfirecontrol.service.impl;

import com.sooka.sponest.data.api.digitalfire.domain.BasicLinkageForce;
import com.sooka.sponest.middleware.data.digitalfirecontrol.dao.BasicLinkageForceDao;
import com.sooka.sponest.middleware.data.digitalfirecontrol.service.IBasicLinkageForceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IBasicLinkageForceServiceImpl implements IBasicLinkageForceService {

    @Autowired
    private BasicLinkageForceDao basicLinkageForceDao;

    @Override
    public void save(BasicLinkageForce basicLinkageForces) {
        basicLinkageForces.setLocation(new GeoPoint(Double.valueOf(basicLinkageForces.getLatitude()), Double.valueOf(basicLinkageForces.getLongitude())));
        basicLinkageForceDao.save(basicLinkageForces);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        basicLinkageForceDao.deleteAllById(ids);
    }
}
