package com.sooka.sponest.middleware.data.digitalfirecontrol.service.impl;

import com.sooka.sponest.data.api.digitalfire.domain.FireFoamLiquid;
import com.sooka.sponest.middleware.data.digitalfirecontrol.dao.FireFoamLiquidDao;
import com.sooka.sponest.middleware.data.digitalfirecontrol.service.IFireFoamLiquidService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IFireFoamLiquidServiceImpl implements IFireFoamLiquidService {

    @Autowired
    private FireFoamLiquidDao fireFoamLiquidDao;

    @Override
    public void save(FireFoamLiquid fireFoamLiquids) {
        fireFoamLiquids.setLocation(new GeoPoint(Double.valueOf(fireFoamLiquids.getLatitude()), Double.valueOf(fireFoamLiquids.getLongitude())));
        fireFoamLiquidDao.save(fireFoamLiquids);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        fireFoamLiquidDao.deleteAllById(ids);
    }
}
