package com.sooka.sponest.middleware.data.digitalfirecontrol.service.impl;

import com.sooka.sponest.data.api.digitalfire.domain.FireOtherLinkageForce;
import com.sooka.sponest.middleware.data.digitalfirecontrol.dao.FireOtherLinkageForceDao;
import com.sooka.sponest.middleware.data.digitalfirecontrol.service.IFireOtherLinkageForceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IFireOtherLinkageForceServiceImpl implements IFireOtherLinkageForceService {

    @Autowired
    private FireOtherLinkageForceDao fireOtherLinkageForceDao;

    @Override
    public void save(FireOtherLinkageForce fireOtherLinkageForces) {
        fireOtherLinkageForces.setLocation(new GeoPoint(Double.valueOf(fireOtherLinkageForces.getLatitude()), Double.valueOf(fireOtherLinkageForces.getLongitude())));
        fireOtherLinkageForceDao.save(fireOtherLinkageForces);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        fireOtherLinkageForceDao.deleteAllById(ids);
    }
}
