package com.sooka.sponest.middleware.data.digitalforest.service.impl;

import com.sooka.sponest.data.api.digitalforest.domain.Channel;
import com.sooka.sponest.data.api.digitalforest.domain.Checkpoint;
import com.sooka.sponest.middleware.data.digitalforest.dao.CheckpointDao;
import com.sooka.sponest.middleware.data.digitalforest.service.ICheckpointDaoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CheckpointDaoServiceImpl implements ICheckpointDaoService {


    @Autowired
    private CheckpointDao checkpointDao;

    @Override
    public void save(Checkpoint checkpoint) {
        checkpoint.setLocation(new GeoPoint(Double.valueOf(checkpoint.getLatitude()), Double.valueOf(checkpoint.getLongitude())));
        checkpointDao.save(checkpoint);
    }

}
