package com.sooka.sponest.middleware.data.digitalforest.service.impl;

import com.sooka.sponest.data.api.digitalforest.domain.Channel;
import com.sooka.sponest.data.api.digitalforest.domain.Weatherstation;
import com.sooka.sponest.middleware.data.digitalforest.dao.WeatherstationDao;
import com.sooka.sponest.middleware.data.digitalforest.service.IWeatherstationDaoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WeatherstationDaoServiceImpl implements IWeatherstationDaoService {


    @Autowired
    private WeatherstationDao weatherstationDao;

    @Override
    public void save(Weatherstation weatherstation) {
        weatherstation.setLocation(new GeoPoint(Double.valueOf(weatherstation.getLatitude()), Double.valueOf(weatherstation.getLongitude())));
        weatherstationDao.save(weatherstation);
    }
}
