package com.sooka.sponest.middleware.data.digitalresource.service.impl;


import com.sooka.sponest.data.api.other.domain.CenterdataTResourcesForest;
import com.sooka.sponest.middleware.data.digitalresource.dao.ForestDao;
import com.sooka.sponest.middleware.data.digitalresource.service.IForestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class ForestServiceImpl implements IForestService {

    @Autowired
    private ForestDao forestDao;

    @Override
    public void save(CenterdataTResourcesForest forest) {
        forest.setLocation(new GeoPoint(Double.valueOf(forest.getLatitude()), Double.valueOf(forest.getLongitude())));
        forestDao.save(forest);
    }
}
