package com.sooka.sponest.middleware.data.digitalresource.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalresource.domain.IllegalConstruction;
import com.sooka.sponest.middleware.data.digitalresource.dao.IllegalConstructionDao;
import com.sooka.sponest.middleware.data.digitalresource.service.IIllegalConstructionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class IllegalConstructionServiceImpl implements IIllegalConstructionService {

    @Autowired
    private IllegalConstructionDao illegalConstructionDao;

    @Override
    public IllegalConstruction save(IllegalConstruction illegalConstruction) {
        illegalConstruction.setLocation(new GeoPoint(Double.valueOf(illegalConstruction.getLatitude()), Double.valueOf(illegalConstruction.getLongitude())));
        illegalConstruction.setConstructionTypeLabel(DictUtils.getDictDataByValue("centerdata_construction_type",illegalConstruction.getConstructionType()));
        illegalConstructionDao.save(illegalConstruction);
        return illegalConstruction;
    }
}
