package com.sooka.sponest.middleware.data.digitalresource.service.impl;


import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.other.domain.CenterdataTResourcesLand;
import com.sooka.sponest.middleware.data.digitalresource.dao.LandDao;
import com.sooka.sponest.middleware.data.digitalresource.service.ILandService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class LandServiceImpl implements ILandService {

    @Autowired
    private LandDao landDao;

    @Override
    public void save(CenterdataTResourcesLand land) {
        land.setLocation(new GeoPoint(Double.valueOf(land.getLatitude()), Double.valueOf(land.getLongitude())));
        land.setLandTypeLabel(DictUtils.getDictDataByValue("centerdata_landType",land.getLandType()));
        landDao.save(land);
    }
}
