package com.sooka.sponest.middleware.data.digitaltraffic.service.impl;

import com.sooka.sponest.data.api.digitaltraffic.domain.WarningSign;
import com.sooka.sponest.middleware.data.digitaltraffic.dao.WarningSignDao;
import com.sooka.sponest.middleware.data.digitaltraffic.service.IWarningSignService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class WarningSignServiceImpl implements IWarningSignService {

    @Autowired
    private WarningSignDao warningSignDao;

    @Override
    public WarningSign save(WarningSign warningSign) {
        warningSign.setLocation(new GeoPoint(Double.valueOf(warningSign.getLatitude()), Double.valueOf(warningSign.getLongitude())));
        warningSignDao.save(warningSign);
        return warningSign;
    }
}
