package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.sooka.sponest.data.api.digitalwater.domain.HydraulicReachApp;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicReachDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicReachService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicReachServiceImpl implements ICenterdataTHydraulicReachService {

    @Autowired
    private CenterdataTHydraulicReachDao centerdataTHydraulicReachDao;

    @Override
    public HydraulicReachApp save(HydraulicReachApp hydraulicReachApp) {
        hydraulicReachApp.setLocation(new GeoPoint(Double.valueOf(hydraulicReachApp.getStartpointLatitude()), Double.valueOf(hydraulicReachApp.getStartpointLongitude())));
        centerdataTHydraulicReachDao.save(hydraulicReachApp);
        return hydraulicReachApp;
    }
}
