package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.sooka.sponest.data.api.digitalwater.domain.HydraulicRiverApp;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicRiverDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicRiverService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicRiverServiceImpl implements ICenterdataTHydraulicRiverService {

    @Autowired
    private CenterdataTHydraulicRiverDao centerdataTHydraulicRiverDao;

    @Override
    public HydraulicRiverApp save(HydraulicRiverApp hydraulicRiverApp) {
        hydraulicRiverApp.setLocation(new GeoPoint(Double.valueOf(hydraulicRiverApp.getLatitude()), Double.valueOf(hydraulicRiverApp.getLongitude())));
        centerdataTHydraulicRiverDao.save(hydraulicRiverApp);
        return hydraulicRiverApp;
    }
}
