package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.sooka.sponest.data.api.digitalwater.domain.HydraulicWadeBridgeCulvertApp;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicWadeBridgeCulvertDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicWadeBridgeCulvertService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicWadeBridgeCulvertServiceImpl implements ICenterdataTHydraulicWadeBridgeCulvertService {

    @Autowired
    private CenterdataTHydraulicWadeBridgeCulvertDao centerdataTHydraulicWadeBridgeCulvertDao;

    @Override
    public HydraulicWadeBridgeCulvertApp save(HydraulicWadeBridgeCulvertApp hydraulicWadeBridgeCulvertApp) {
        hydraulicWadeBridgeCulvertApp.setLocation(new GeoPoint(Double.valueOf(hydraulicWadeBridgeCulvertApp.getLatitude()), Double.valueOf(hydraulicWadeBridgeCulvertApp.getLongitude())));
        centerdataTHydraulicWadeBridgeCulvertDao.save(hydraulicWadeBridgeCulvertApp);
        return hydraulicWadeBridgeCulvertApp;
    }
}
