package com.sooka.sponest.middleware.event.consumer;

import org.springframework.cloud.stream.annotation.Input;
import org.springframework.messaging.SubscribableChannel;

public interface EventSink {

    /**
     * Input channel name.
     */
    String EVENT_PUSH = "mychannel-in-0";

    /**
     * @return input channel.
     */
    @Input(EVENT_PUSH)
    SubscribableChannel input();

    /**
     * Input channel name.
     */
    String URGE_PUSH = "urgechannel-in-0";

    /**
     * @return input channel.
     */
    @Input(URGE_PUSH)
    SubscribableChannel input1();
}
