package com.sooka.sponest.middleware.event.eventcatalogue.entity.bo;

import com.sooka.sponest.middleware.base.entity.bo.BaseESBO;
import lombok.Data;

import java.util.List;

/**
 * @Auther: mjq
 * @Date: 2023/7/5 - 07 - 05 - 23:10
 * @Description: com.sooka.sponest.rabbitmq.event.es.domain
 * @version: 1.0
 */
@Data
public class EventCatalogueBO extends BaseESBO {

    /**
     * 事件分类
     */
    private List<String> defaultTypeXl;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 事件来源
     */
    private String reportSource;

    /**
     * 上报人
     */
    private String reportor;

    /**
     * 上报时间
     */
    private List<String> reportTimeRange;

    /**
     * 是否被催办
     */
    private String isUrged;

    /**
     * 事件状态
     */
    private String eventStatusValue;

    /**
     * 事件分类
     */
    private List<String> eventTypeXls;
}
