package com.sooka.sponest.middleware.base.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ParamConfig {

    private static String dataDB;

    private static String monitorDB;

    private static String systemDB;

    public static String getDataDB() {
        return dataDB;
    }

    @Value("${sooka.database.data}")
    public void setDataDB(String dataDB) {
        ParamConfig.dataDB = dataDB;
    }

    public static String getMonitorDB() {
        return monitorDB;
    }

    @Value("${sooka.database.monitor}")
    public void setMonitorDB(String monitorDB) {
        ParamConfig.monitorDB = monitorDB;
    }

    public static String getSystemDB() {
        return systemDB;
    }

    @Value("${sooka.database.system}")
    public void setSystemDB(String systemDB) {
        ParamConfig.systemDB = systemDB;
    }
}
