package com.sooka.sponest.middleware.base.dao;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import com.sooka.sponest.middleware.base.entity.vo.CameraVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Auther: mjq
 * @Date: 2023/7/5 - 07 - 05 - 23:13
 * @Description: com.sooka.sponest.rabbitmq.base.bean.service.Impl
 * @version: 1.0
 */
public interface BaseMapper {

    List<Long> getDeptIds(BaseBusinessEntity baseBusinessEntity);

    List<Long> getDeptAndChildIds(@Param("systemDB") String systemDB, @Param("deptId") Long deptId);

    List<CameraVO> getCameraList(@Param("monitorDB") String monitorDB, @Param("ids") List<String> ids);

    List<String> getPictureList(@Param("dataDB") String dataDB, @Param("systemDB") String systemDB, @Param("busId") String busId);
}
