package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.sooka.sponest.data.api.digitalagriculture.domain.FarmBotanyProtectInfo;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmBotanyProtectInfoDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmBotanyProtectInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmBotanyProtectInfoServiceImpl implements ICenterdataTFarmBotanyProtectInfoService {

    @Autowired
    private CenterdataTFarmBotanyProtectInfoDao centerdataTFarmBotanyProtectInfoDao;

    @Override
    public void save(FarmBotanyProtectInfo farmBotanyProtectInfo) {
        farmBotanyProtectInfo.setLocation(new GeoPoint(Double.valueOf(farmBotanyProtectInfo.getLatitude()), Double.valueOf(farmBotanyProtectInfo.getLongitude())));
        centerdataTFarmBotanyProtectInfoDao.save(farmBotanyProtectInfo);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmBotanyProtectInfoDao.deleteAllById(ids);
    }
}
