package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.sooka.sponest.data.api.other.domain.CenterdataTFarmBreedResources;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmBreedResourcesDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmBreedResourcesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmBreedResourcesServiceImpl implements ICenterdataTFarmBreedResourcesService {

    @Autowired
    private CenterdataTFarmBreedResourcesDao centerdataTFarmBreedResourcesDao;

    @Override
    public void save(CenterdataTFarmBreedResources farmBreedResources) {
        farmBreedResources.setLocation(new GeoPoint(Double.valueOf(farmBreedResources.getLatitude()), Double.valueOf(farmBreedResources.getLongitude())));
        centerdataTFarmBreedResourcesDao.save(farmBreedResources);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmBreedResourcesDao.deleteAllById(ids);
    }
}
