package com.sooka.sponest.middleware.data.digitalagriculture.service.impl;

import com.sooka.sponest.data.api.digitalagriculture.domain.FarmComplexModification;
import com.sooka.sponest.middleware.data.digitalagriculture.dao.CenterdataTFarmComplexModificationDao;
import com.sooka.sponest.middleware.data.digitalagriculture.service.ICenterdataTFarmComplexModificationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ICenterdataTFarmComplexModificationServiceImpl implements ICenterdataTFarmComplexModificationService {

    @Autowired
    private CenterdataTFarmComplexModificationDao centerdataTFarmComplexModificationDao;

    @Override
    public void save(FarmComplexModification farmComplexModification) {
        farmComplexModification.setLocation(new GeoPoint(Double.valueOf(farmComplexModification.getLatitude()), Double.valueOf(farmComplexModification.getLongitude())));
        centerdataTFarmComplexModificationDao.save(farmComplexModification);
    }

    @Override
    public void deleteAllById(List<String> ids) {
        centerdataTFarmComplexModificationDao.deleteAllById(ids);
    }
}
