package com.sooka.sponest.middleware.data.digitalenvironment.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentSewageOutlet;
import com.sooka.sponest.middleware.data.digitalenvironment.dao.CenterdataTEnvironmentSewageOutletDao;
import com.sooka.sponest.middleware.data.digitalenvironment.service.ICenterdataTEnvironmentSewageOutletService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/21
 */
@Service
public class CenterdataTEnvironmentSewageOutletServiceImpl implements ICenterdataTEnvironmentSewageOutletService {

    @Autowired
    private CenterdataTEnvironmentSewageOutletDao centerdataTEnvironmentSewageOutletDao;

    @Override
    public EnvironmentSewageOutlet save(EnvironmentSewageOutlet environmentSewageOutlet) {
        environmentSewageOutlet.setLocation(new GeoPoint(Double.valueOf(environmentSewageOutlet.getLatitude()), Double.valueOf(environmentSewageOutlet.getLongitude())));
        environmentSewageOutlet.setSewageOneClassificationLabel(DictUtils.getDictDataByValue("centerdata_sewage_oneclassification",environmentSewageOutlet.getSewageOneClassification()));
        environmentSewageOutlet.setSewageTwoClassificationLabel(DictUtils.getDictDataByValue("centerdata_sewage_twoclassification",environmentSewageOutlet.getSewageTwoClassification()));
        environmentSewageOutlet.setTypeLabel(DictUtils.getDictDataByValue("centerdata_sewage_type",environmentSewageOutlet.getType()));
        centerdataTEnvironmentSewageOutletDao.save(environmentSewageOutlet);
        return environmentSewageOutlet;
    }
}
