package com.sooka.sponest.middleware.data.digitalenvironment.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalenvironment.domain.EnvironmentSourcePollution;
import com.sooka.sponest.middleware.data.digitalenvironment.dao.CenterdataTEnvironmentSourcePollutionDao;
import com.sooka.sponest.middleware.data.digitalenvironment.service.ICenterdataTEnvironmentSourcePollutionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/21
 */
@Service
public class CenterdataTEnvironmentSourcePollutionServiceImpl implements ICenterdataTEnvironmentSourcePollutionService {

    @Autowired
    private CenterdataTEnvironmentSourcePollutionDao centerdataTEnvironmentSourcePollutionDao;

    @Override
    public EnvironmentSourcePollution save(EnvironmentSourcePollution environmentSourcePollution) {
        environmentSourcePollution.setLocation(new GeoPoint(Double.valueOf(environmentSourcePollution.getLatitude()), Double.valueOf(environmentSourcePollution.getLongitude())));
        environmentSourcePollution.setTypeLabel(DictUtils.getDictDataByValue("centerdata_sourcepollution_type", String.valueOf(environmentSourcePollution.getType())));
        centerdataTEnvironmentSourcePollutionDao.save(environmentSourcePollution);
        return environmentSourcePollution;
    }
}
