package com.sooka.sponest.middleware.data.digitaltraffic.service.impl;

import com.sooka.sponest.data.api.digitaltraffic.domain.Bridge;
import com.sooka.sponest.middleware.data.digitaltraffic.dao.BridgeDao;
import com.sooka.sponest.middleware.data.digitaltraffic.service.IBridgeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class BridgeServiceImpl implements IBridgeService {

    @Autowired
    private BridgeDao bridgeDao;

    @Override
    public Bridge save(Bridge bridge) {
        bridge.setLocation(new GeoPoint(Double.valueOf(bridge.getLatitude()), Double.valueOf(bridge.getLongitude())));
        bridgeDao.save(bridge);
        return bridge;
    }
}
