package com.sooka.sponest.middleware.data.digitaltraffic.service.impl;

import com.sooka.sponest.data.api.digitaltraffic.domain.Culvert;
import com.sooka.sponest.middleware.data.digitaltraffic.dao.CulvertDao;
import com.sooka.sponest.middleware.data.digitaltraffic.service.ICulvertService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author lidongyu
 * @date 2023/7/26
 */
@Service
public class CulvertServiceImpl implements ICulvertService {

    @Autowired
    private CulvertDao culvertDao;

    @Override
    public Culvert save(Culvert culvert) {
        culvert.setLocation(new GeoPoint(Double.valueOf(culvert.getLatitude()), Double.valueOf(culvert.getLongitude())));
        culvertDao.save(culvert);
        return culvert;
    }
}
