package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.sooka.sponest.data.api.digitalwater.domain.HydraulicBattlefield;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicBattlefieldDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicBattlefieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicBattlefieldServiceImpl implements ICenterdataTHydraulicBattlefieldService {

    @Autowired
    private CenterdataTHydraulicBattlefieldDao centerdataTHydraulicBattlefieldDao;

    @Override
    public HydraulicBattlefield save(HydraulicBattlefield hydraulicBattlefield) {
        hydraulicBattlefield.setLocation(new GeoPoint(Double.valueOf(hydraulicBattlefield.getLatitude()), Double.valueOf(hydraulicBattlefield.getLongitude())));
        centerdataTHydraulicBattlefieldDao.save(hydraulicBattlefield);
        return hydraulicBattlefield;
    }
}
