package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicChannelBluelineApp;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicChannelBluelineDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicChannelBluelineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicChannelBluelineServiceImpl implements ICenterdataTHydraulicChannelBluelineService {

    @Autowired
    private CenterdataTHydraulicChannelBluelineDao centerdataTHydraulicChannelBluelineDao;

    @Override
    public HydraulicChannelBluelineApp save(HydraulicChannelBluelineApp hydraulicChannelBluelineApp) {
        hydraulicChannelBluelineApp.setLocation(new GeoPoint(Double.valueOf(hydraulicChannelBluelineApp.getLatitude()), Double.valueOf(hydraulicChannelBluelineApp.getLongitude())));
        hydraulicChannelBluelineApp.setAttrTypeLabel(DictUtils.getDictDataByValue("centerdata_attr_type",String.valueOf(hydraulicChannelBluelineApp.getAttrType())));
        centerdataTHydraulicChannelBluelineDao.save(hydraulicChannelBluelineApp);
        return hydraulicChannelBluelineApp;
    }
}
