package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.sooka.sponest.data.api.digitalwater.domain.HydraulicGarbageStationApp;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicGarbageStationDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicGarbageStationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicGarbageStationServiceImpl implements ICenterdataTHydraulicGarbageStationService {

    @Autowired
    private CenterdataTHydraulicGarbageStationDao centerdataTHydraulicGarbageStationDao;

    @Override
    public HydraulicGarbageStationApp save(HydraulicGarbageStationApp hydraulicGarbageStationApp) {
        hydraulicGarbageStationApp.setLocation(new GeoPoint(Double.valueOf(hydraulicGarbageStationApp.getLatitude()), Double.valueOf(hydraulicGarbageStationApp.getLongitude())));
        centerdataTHydraulicGarbageStationDao.save(hydraulicGarbageStationApp);
        return hydraulicGarbageStationApp;
    }
}
