package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.ruoyi.common.security.utils.DictUtils;
import com.sooka.sponest.data.api.digitalwater.domain.HydraulicOutletSewageApp;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicOutletSewageDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicOutletSewageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicOutletSewageServiceImpl implements ICenterdataTHydraulicOutletSewageService {

    @Autowired
    private CenterdataTHydraulicOutletSewageDao centerdataTHydraulicOutletSewageDao;

    @Override
    public HydraulicOutletSewageApp save(HydraulicOutletSewageApp hydraulicOutletSewageApp) {
        hydraulicOutletSewageApp.setLocation(new GeoPoint(Double.valueOf(hydraulicOutletSewageApp.getLatitude()), Double.valueOf(hydraulicOutletSewageApp.getLongitude())));
        hydraulicOutletSewageApp.setSewageAttrLabel(DictUtils.getDictDataByValue("centerdata_sewage_attr", String.valueOf(hydraulicOutletSewageApp.getSewageAttr())));
        centerdataTHydraulicOutletSewageDao.save(hydraulicOutletSewageApp);
        return hydraulicOutletSewageApp;
    }
}
