package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.sooka.sponest.data.api.digitalwater.domain.HydraulicReservoirApp;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicReservoirDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicReservoirService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicReservoirServiceImpl implements ICenterdataTHydraulicReservoirService {

    @Autowired
    private CenterdataTHydraulicReservoirDao centerdataTHydraulicReservoirDao;

    @Override
    public HydraulicReservoirApp save(HydraulicReservoirApp hydraulicReservoirApp) {
        hydraulicReservoirApp.setLocation(new GeoPoint(Double.valueOf(hydraulicReservoirApp.getLatitude()), Double.valueOf(hydraulicReservoirApp.getLongitude())));
        centerdataTHydraulicReservoirDao.save(hydraulicReservoirApp);
        return hydraulicReservoirApp;
    }
}
