package com.sooka.sponest.middleware.data.digitalwater.service.impl;

import com.sooka.sponest.data.api.digitalwater.domain.HydraulicWaterGateApp;
import com.sooka.sponest.middleware.data.digitalwater.dao.CenterdataTHydraulicWaterGateDao;
import com.sooka.sponest.middleware.data.digitalwater.service.ICenterdataTHydraulicWaterGateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.geo.GeoPoint;
import org.springframework.stereotype.Service;

/**
 * @author zhaozhan
 * @date 2023/7/26
 */
@Service
public class CenterdataTHydraulicWaterGateServiceImpl implements ICenterdataTHydraulicWaterGateService {

    @Autowired
    private CenterdataTHydraulicWaterGateDao centerdataTHydraulicWaterGateDao;

    @Override
    public HydraulicWaterGateApp save(HydraulicWaterGateApp hydraulicWaterGateApp) {
        hydraulicWaterGateApp.setLocation(new GeoPoint(Double.valueOf(hydraulicWaterGateApp.getLatitude()), Double.valueOf(hydraulicWaterGateApp.getLongitude())));
        centerdataTHydraulicWaterGateDao.save(hydraulicWaterGateApp);
        return hydraulicWaterGateApp;
    }
}
