package com.sooka.sponest.middleware.event.eventcatalogue.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 事件操作日志对象 centerevent_t_fire_log
 *
 * @author 朱哲
 * @date 2022-08-29
 */
@Data
public class EventLog {

    /**
     * 主键
     */
    private String id;

    /**
     * 事件编码
     */
    private String eventCode;

    /**
     * 操作内容
     */
    private String logContent;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
