package com.sooka.sponest.middleware.event.eventcatalogue.service;

import com.sooka.sponest.middleware.event.eventcatalogue.entity.EventCatalogue;
import com.sooka.sponest.middleware.event.eventcatalogue.entity.EventLog;

import java.util.List;
import java.util.Map;

/**
 * 事件中心-移动端Service接口
 *
 * @author lyq
 * @date 2022-11-05
 */
public interface IEventCatalogueService {

    /**
     * 批量新增
     *
     * @param eventCatalogues
     * @return
     */
    List<EventCatalogue> saveAll(List<EventCatalogue> eventCatalogues);

    /**
     * 删除
     *
     * @param eventCode
     * @return
     */
    int deleteEventCatalogueByEventCode(String eventCode);


    /**
     * 查询
     *
     * @param params
     * @return
     */
    List<EventCatalogue> getEventCatalogues(Map<String, Object> params);

    /**
     * 修改事件催办状态
     *
     * @param eventCode
     * @return
     */
    int updateCentereventTEventcatalogue(String eventCode);

    /**
     * 插入事件日志
     *
     * @param eventLog
     * @return
     */
    int insertCentereventTFireLog(EventLog eventLog);
}
